package com.lantone.daqe.vo;

import com.lantone.daqe.entity.ColumnInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * @Description: 新增字段校验规则-接口入参
 * @author： zhanghang
 * @time: 2022/3/4 16:03
 */
@ApiModel(value = "新增字段校验规则-接口入参")
@Getter
@Setter
public class AddColumnVerifyVO implements Serializable {


    private static final long serialVersionUID = 7391387152361022696L;

    @ApiModelProperty(value = "表字段信息", required = true)
    @NotNull(message = "表信息不能为空")
    List<ColumnInfoVO> columnList;

    @ApiModelProperty(value = "是否必填,0:否，1:是")
    String isRequired;

    @ApiModelProperty(value = "正则式ID")
    Long regularId;

    @ApiModelProperty(value = "正则式名称")
    String regularName;

    @ApiModelProperty(value = "说明")
    String description;


}
